#!/bin/sh

[ -z $GTKDIALOG ] && GTKDIALOG=gtkdialog

MAIN_DIALOG='
<window>
	<vbox>
		<vbox border-width="30">
			<text>
				<label>This is static text which will automatically wrap by default at some point.</label>
				<action signal="realize">echo "The realize signal was emitted"</action>
				<action signal="show">echo "The show signal was emitted"</action>
			</text>
		</vbox>
		<hseparator></hseparator>
		<hbox homogeneous="true">
			<button ok></button>
		</hbox>
	</vbox>
</window>
'
export MAIN_DIALOG

case $1 in
	-d | --dump) echo "$MAIN_DIALOG" ;;
	*) $GTKDIALOG --program=MAIN_DIALOG ;;
esac
